#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-I63, 5724-H88, 5655-N02, 5733-W70 (C) COPYRIGHT International Business Machines Corp., 1997, 2010
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# -----------------------------------
# Install settings follow
# -----------------------------------

# CLIENT_TYPE deprecated starting in Version 6.1
# CLIENT_TYPE=$(CLIENTTYPE)
# export CLIENT_TYPE

setWASHome()
{
  CUR_DIR=`pwd`
  WAS_DIR=`dirname ${0}`/../
  cd "${WAS_DIR}"
  WAS_HOME=`pwd`
  cd "${CUR_DIR}"
}
setWASHome

export WAS_HOME

COMPUTERNAME=$(CLIENTHOSTNAME)
export COMPUTERNAME

DEFAULTSERVERNAME=$(SERVERHOSTNAME)
export DEFAULTSERVERNAME

SERVERPORTNUMBER=$(SERVERPORTNUMBER)
export SERVERPORTNUMBER

. $WAS_HOME/bin/sdk/_setupSdk.sh

JAVA_JRE="$JAVA_HOME/jre"
export JAVA_JRE

JAVA_JDK="$JAVA_HOME"
export JAVA_JDK

JAVA_HOME="$JAVA_JRE"
export JAVA_HOME

# -----------------------------------
# Common settings to all client types
# -----------------------------------

PATH=$WAS_HOME/bin:$JAVA_JRE/bin:$JAVA_JDK/bin:$PATH
export PATH

CLIENTSAS=-Dcom.ibm.CORBA.ConfigURL=file:$WAS_HOME/properties/sas.client.props
export CLIENTSAS

CLIENTSSL=-Dcom.ibm.SSL.ConfigURL=file:$WAS_HOME/properties/ssl.client.props
export CLIENTSSL

STDINCLIENTSAS=-Dcom.ibm.CORBA.ConfigURL=file:$WAS_HOME/properties/sas.stdinclient.props
export STDINCLIENTSAS

SERVER_ROOT=-Dserver.root=$WAS_HOME
export SERVER_ROOT

CLIENTSOAP=-Dcom.ibm.SOAP.ConfigURL=file:$WAS_HOME/properties/soap.client.props
export CLIENTSOAP

CLIENT_CONNECTOR_INSTALL_ROOT=$WAS_HOME/installedConnectors
export CLIENT_CONNECTOR_INSTALL_ROOT

WAS_LOGGING="-Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true"
export WAS_LOGGING

FFDCLOG=$WAS_HOME/logs/ffdc/
export FFDCLOG

USER_INSTALL_ROOT=$WAS_HOME
export USER_INSTALL_ROOT

JAASSOAP=-Djava.security.auth.login.config=$USER_INSTALL_ROOT/properties/wsjaas_client.conf
export JAASSOAP

WAS_EXT_DIRS=$WAS_HOME/classes:$WAS_HOME/lib:$WAS_HOME/installedChannels:$WAS_HOME/lib/ext
export WAS_EXT_DIRS

WAS_CLASSPATH=$WAS_HOME/properties:$WAS_HOME/lib/startup.jar:$WAS_HOME/lib/bootstrap.jar:$WAS_HOME/lib/lmproxy.jar:$WAS_HOME/lib/urlprotocols.jar
export WAS_CLASSPATH

WAS_ENDORSED_DIRS=$WAS_HOME/endorsed_apis:$WAS_HOME/java/jre/lib/endorsed:$JAVA_JRE/lib/endorsed
export WAS_ENDORSED_DIRS

# -----------------------------------
# OGSI Settings
# -----------------------------------
OSGI_INSTALL=-Dosgi.install.area=$WAS_HOME
export OSGI_INSTALL

OSGI_CFG=-Dosgi.configuration.area=$WAS_HOME/configuration
export OSGI_CFG






